com.sun.syndication.feed.synd.impl

## Class ConverterForAtom10

- java.lang.Object
- - com.sun.syndication.feed.synd.impl.ConverterForAtom10

All Implemented Interfaces:
  Converter

    public class ConverterForAtom10
    extends java.lang.Object
    implements Converter

### Constructor Summary

Constructors
`` `ConverterForAtom10()`
`protected` `ConverterForAtom10(java.lang.String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `copyInto(WireFeed feed, SyndFeed syndFeed)` Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.
`protected Content` `createAtomContent(SyndContent sContent)`
`protected java.util.List` `createAtomContents(java.util.List syndContents)`
`Link` `createAtomEnclosure(SyndEnclosure syndEnclosure)`
`protected java.util.List` `createAtomEntries(java.util.List syndEntries)`
`protected Entry` `createAtomEntry(SyndEntry sEntry)`
`Link` `createAtomLink(SyndLink syndLink)`
`WireFeed` `createRealFeed(SyndFeed syndFeed)` Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.
`protected SyndContent` `createSyndContent(Content content)`
`SyndEnclosure` `createSyndEnclosure(Feed feed, Entry entry, Link link)`
`protected java.util.List` `createSyndEntries(Feed feed, java.util.List atomEntries, boolean preserveWireItems)`
`protected SyndEntry` `createSyndEntry(Feed feed, Entry entry, boolean preserveWireItem)`
`SyndLink` `createSyndLink(Link link)`
`protected java.util.List` `createSyndLinks(java.util.List aLinks)`
`java.lang.String` `getType()` Returns the type (version) of the real feed this converter handles.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterForAtom10

    public ConverterForAtom10()

#### ConverterForAtom10

    protected ConverterForAtom10(java.lang.String type)

### Method Detail

#### getType

    public java.lang.String getType()

Description copied from interface: `Converter`
Returns the type (version) of the real feed this converter handles.

Specified by:
  `getType` in interface `Converter`
Returns:
  the real feed type.
See Also:
  `for details on the format of this string.

  `

#### copyInto

    public void copyInto(WireFeed feed,
                         SyndFeed syndFeed)

Description copied from interface: `Converter`
Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.

It assumes the given SyndFeedImpl has no properties set.

Specified by:
  `copyInto` in interface `Converter`
Parameters:
  `feed` - real feed to copy/convert.
  `syndFeed` - the SyndFeedImpl that will contain the copied/converted values of the real feed.

#### createSyndLinks

    protected java.util.List createSyndLinks(java.util.List aLinks)

#### createSyndEntries

    protected java.util.List createSyndEntries(Feed feed,
                                               java.util.List atomEntries,
                                               boolean preserveWireItems)

#### createSyndEntry

    protected SyndEntry createSyndEntry(Feed feed,
                                        Entry entry,
                                        boolean preserveWireItem)

#### createSyndEnclosure

    public SyndEnclosure createSyndEnclosure(Feed feed,
                                             Entry entry,
                                             Link link)

#### createAtomEnclosure

    public Link createAtomEnclosure(SyndEnclosure syndEnclosure)

#### createSyndLink

    public SyndLink createSyndLink(Link link)

#### createAtomLink

    public Link createAtomLink(SyndLink syndLink)

#### createRealFeed

    public WireFeed createRealFeed(SyndFeed syndFeed)

Description copied from interface: `Converter`
Creates real feed with a deep copy/conversion of the values of a SyndFeedImpl.

Specified by:
  `createRealFeed` in interface `Converter`
Parameters:
  `syndFeed` - SyndFeedImpl to copy/convert value from.
Returns:
  a real feed with copied/converted values of the SyndFeedImpl.

#### createSyndContent

    protected SyndContent createSyndContent(Content content)

#### createAtomEntries

    protected java.util.List createAtomEntries(java.util.List syndEntries)

#### createAtomContent

    protected Content createAtomContent(SyndContent sContent)

#### createAtomContents

    protected java.util.List createAtomContents(java.util.List syndContents)

#### createAtomEntry

    protected Entry createAtomEntry(SyndEntry sEntry)